Skip to main content
POST
List meter readings
This operation uses POST and takes no body. Page through the readings with page and limit.

Authorizations

Authorization
string
header
required

Paste an access token from Create an access token. Tokens expire, so request a new one if you receive 401.

Path Parameters

buildingId
string
required

Building identifier from List buildings.

meterId
string
required

Identifier of the meter.

Query Parameters

limit
integer<int32>
default:50

Number of items per page, from 1 to 200. The default is 50.

Required range: 1 <= x <= 200
page
integer<int32>
default:1

Page number to return. The first page is 1.

Required range: x >= 1

Response

A page of readings. itemCount is the total number of readings of the meter.

data
object[]
page
integer<int32>
limit
integer<int32>
pageCount
integer<int32>
itemCount
integer<int32>